package uca.baptistearthur.geocaching.ui.activity

import android.annotation.SuppressLint
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.google.android.material.bottomnavigation.BottomNavigationView
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.services.FragmentService

import uca.baptistearthur.geocaching.ui.fragment.Map
import uca.baptistearthur.geocaching.ui.fragment.RoadTripFragment

class MainWindow: AppCompatActivity() {
    @SuppressLint("MissingInflatedId")
    override fun onCreate(savedInstanceState: Bundle?) {

        val map = Map()

        super.onCreate(savedInstanceState)
        setContentView(R.layout.main_window)

        val fragmentService = FragmentService()

//        Bottom menu
        fragmentService.loadFragment(Map(), supportFragmentManager)
        val navigation = findViewById<BottomNavigationView>(R.id.bottom_navigation)
        navigation.selectedItemId= R.id.map
        navigation.setOnItemSelectedListener {
            when (it.itemId) {
                R.id.map -> {
                    fragmentService.loadFragment(map, supportFragmentManager)
                    true
                }
                R.id.roadTrip -> {
                    fragmentService.loadFragment(RoadTripFragment(), supportFragmentManager)
                    true
                }
                else -> false
            }
        }
    }

}